## WritableCollection

Description

A class for things to do with a DAV Resource

Located in /inc/WritableCollection.php (line 4)

    DAVResource
       |
       --WritableCollection

Method Summary
boolean actualDeleteCalendarMember (vCalendar $member_dav_name)
null WriteCalendarAlarms ( $dav_id, $vcal)
null WriteCalendarAttendees (int $dav_id, $vcal)
string WriteCalendarMember ( $vcal, boolean $create_resource, [boolean $do_scheduling = false], [string $segment_name = null], [boolean $log_action = false])
string WriteMember ($resource $resource, $create_resource $create_resource, [$segment_name $segment_name = null], [boolean $log_action = true])
Variables

#### Inherited Variables

Inherited from DAVResource

> DAVResource::$bound_from
> DAVResource::$contenttype
> DAVResource::$dav_name
> DAVResource::$exists
> DAVResource::$parent
> DAVResource::$resource
> DAVResource::$resourcetypes
> DAVResource::$unique_tag

Methods
actualDeleteCalendarMember (line 412)

Writes the data to a member in the collection and returns the segment_name of the resource in our internal namespace.

- return: Success is true, or false on failure.

boolean actualDeleteCalendarMember (vCalendar $member_dav_name)

- vCalendar $member_dav_name: The path to the resource to be deleted.

WriteCalendarAlarms (line 312)

Given a dav_id and an original vCalendar, pull out each of the VALARMs and write the values into the calendar_alarm table.

null WriteCalendarAlarms ( $dav_id, $vcal)

- $dav_id
- vCalendar $vcal

WriteCalendarAttendees (line 374)

Parse out the attendee property and write a row to the calendar_attendee table for each one.

null WriteCalendarAttendees (int $dav_id, $vcal)

- int $dav_id: The dav_id of the caldav_data we're processing
- vComponent $vcal: The VEVENT or VTODO containing the ATTENDEEs

WriteCalendarMember (line 33)

Writes the data to a member in the collection and returns the segment_name of the resource in our internal namespace.

- return: The segment_name of the resource within the collection, as written, or false on failure.

string WriteCalendarMember ( $vcal, boolean $create_resource, [boolean $do_scheduling = false], [string $segment_name = null], [boolean $log_action = false])

- vCalendar $vcal: The resource to be written.
- boolean $create_resource: True if this is a new resource.
- boolean $do_scheduling: True if we should also do scheduling for this write. Default false.
- string $segment_name: The name of the resource within the collection, or null if this call should invent one based on the UID of the vCalendar.
- boolean $log_action: Whether to log this action. Defaults to false since this is normally called in situations where one is writing secondary data.

WriteMember (line 286)

Writes the data to a member in the collection and returns the segment_name of the resource in our internal namespace.

A caller who wants scheduling not to happen for this write must already know they are dealing with a calendar, so should be calling WriteCalendarMember directly.

- return: The segment_name that was given, or one that was assigned if null was given.

string WriteMember ($resource $resource, $create_resource $create_resource, [$segment_name $segment_name = null], [boolean $log_action = true])

- boolean $log_action: Whether to log this action. Defaults to true since this is normally called in situations where one is writing primary data.
- $resource $resource: mixed The resource to be written.
- $create_resource $create_resource: boolean True if this is a new resource.
- $segment_name $segment_name: The name of the resource within the collection, or false on failure.

#### Inherited Methods

Inherited From DAVResource

> DAVResource::__construct()
> DAVResource::bound_from()
> DAVResource::BuildACE()
> DAVResource::BuildDeadPropertyXML()
> DAVResource::BuildPrivileges()
> DAVResource::BuildSupportedMethods()
> DAVResource::BuildSupportedReports()
> DAVResource::BuildTicketinfo()
> DAVResource::collection_id()
> DAVResource::ContainerExists()
> DAVResource::ContainerType()
> DAVResource::DAV_AllProperties()
> DAVResource::dav_name()
> DAVResource::Exists()
> DAVResource::FetchCollection()
> DAVResource::FetchDeadProperties()
> DAVResource::FetchParentContainer()
> DAVResource::FetchPrincipal()
> DAVResource::FetchPrivileges()
> DAVResource::FetchResource()
> DAVResource::FetchSupportedMethods()
> DAVResource::FetchSupportedReports()
> DAVResource::FetchTickets()
> DAVResource::FromPath()
> DAVResource::FromRow()
> DAVResource::GetACL()
> DAVResource::GetParentContainer()
> DAVResource::GetProperty()
> DAVResource::GetPropStat()
> DAVResource::HavePrivilegeTo()
> DAVResource::IsAddressbook()
> DAVResource::IsBinding()
> DAVResource::IsCalendar()
> DAVResource::IsCollection()
> DAVResource::IsExternal()
> DAVResource::IsInSchedulingCollection()
> DAVResource::IsLocked()
> DAVResource::IsPrincipal()
> DAVResource::IsPublic()
> DAVResource::IsPublicOnly()
> DAVResource::IsSchedulingCollection()
> DAVResource::NeedPrivilege()
> DAVResource::parent_path()
> DAVResource::principal_url()
> DAVResource::Privileges()
> DAVResource::RenderAsXML()
> DAVResource::resource()
> DAVResource::ResourceProperty()
> DAVResource::resource_id()
> DAVResource::set_bind_location()
> DAVResource::sync_token()
> DAVResource::unique_tag()
> DAVResource::url()
> DAVResource::user_no()

Documentation generated on Wed, 04 Jul 2012 10:13:10 +0000 by phpDocumentor 1.4.3